-- 水位因子
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTOR')
CREATE TABLE T_INVP_LEVELFACTOR (
	FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
    FCREATETIME TIMESTAMP,
    FMODIFYTIME TIMESTAMP,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FTYPE CHAR(1) DEFAULT 'A' NOT NULL,
	FISREORDERPOINT CHAR(1) DEFAULT '0' NOT NULL,
	FISBALANCEINV CHAR(1) DEFAULT '0' NOT NULL,
	FISMAXANDMIN CHAR(1) DEFAULT '0' NOT NULL,
	FISFIXEDPERIOD CHAR(1) DEFAULT '0' NOT NULL,
	FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);

-- 水位因子多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTOR_L')
CREATE TABLE T_INVP_LEVELFACTOR_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDESC NVARCHAR(512) DEFAULT ' ' NOT NULL
);

-- 参数配置
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTORENTRY')
CREATE TABLE T_INVP_LEVELFACTORENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT NOT NULL DEFAULT 0,
	FRELFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FRELFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISSHOW CHAR(1) DEFAULT '0' NOT NULL,
	FISLOCK CHAR(1) DEFAULT '0' NOT NULL,
	FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
	FRELENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL
);

